CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DefaultProtector Class Reference

Default protector that catch all exceptions (Implementation). More...

`#include <DefaultProtector.h>`

Inheritance diagram for DefaultProtector:

## Public Member Functions

bool | protect (const Functor &functor, const ProtectorContext &context)
Public Member Functions inherited from Protector
virtual | ~Protector ()

## Additional Inherited Members

Protected Member Functions inherited from Protector
void | reportError (const ProtectorContext &context, const Exception &error) const
void | reportError (const ProtectorContext &context, const Message &message, const SourceLine &sourceLine=SourceLine()) const
void | reportFailure (const ProtectorContext &context, const Exception &failure) const
Message | actualMessage (const Message &message, const ProtectorContext &context) const

## Detailed Description

Default protector that catch all exceptions (Implementation).

Implementation detail.

## Member Function Documentation

CPPUNIT_NS_BEGIN bool DefaultProtector::protect | ( | const Functor & | functor,
|  | const ProtectorContext & | context
| ) |  |

virtual

Implements Protector.

The documentation for this class was generated from the following files:

- DefaultProtector.h
- DefaultProtector.cpp

| hosts this site. |  | Send comments to: CppUnit Developers